import { ApolloServerPlugin } from 'apollo-server-plugin-base';
import { GraphQLServerOptions } from './graphqlOptions';
import { Config } from './types';
import { PlaygroundRenderPageOptions } from './playground';
import { GraphQLRequest } from './requestPipeline';
export declare class ApolloServerBase {
    private logger;
    graphqlPath: string;
    requestOptions: Partial<GraphQLServerOptions<any>>;
    private context?;
    private apolloConfig;
    protected plugins: ApolloServerPlugin[];
    protected playgroundOptions?: PlaygroundRenderPageOptions;
    private parseOptions;
    private config;
    private state;
    private toDispose;
    private toDisposeLast;
    private experimental_approximateDocumentStoreMiB;
    constructor(config: Config);
    start(): Promise<void>;
    protected _start(): Promise<void>;
    protected willStart(): Promise<void>;
    private ensureStarted;
    protected ensureStarting(): void;
    private logStartupError;
    private startGatewayAndLoadSchema;
    private constructSchema;
    private maybeAddMocksToConstructedSchema;
    private generateSchemaDerivedData;
    stop(): Promise<void>;
    protected serverlessFramework(): boolean;
    private ensurePluginInstantiation;
    private initializeDocumentStore;
    protected graphQLServerOptions(integrationContextArgument?: Record<string, any>): Promise<GraphQLServerOptions>;
    executeOperation(request: GraphQLRequest, integrationContextArgument?: Record<string, any>): Promise<import("apollo-server-types").GraphQLResponse>;
}
//# sourceMappingURL=ApolloServer.d.ts.map